/***************************************************************************
                          openmosixmigmondoc.h  -  description
                             -------------------
    begin                : Sun Feb  2 00:33:00 CET 2003
    copyright            : (C) 2003 by Matt Rechenburg
    email                : mosixview@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef OPENMOSIXMIGMONDOC_H
#define OPENMOSIXMIGMONDOC_H

// include files for QT
#include <qobject.h>

// application specific includes

/**
  * the Document Class
  */

class OpenMosixmigmonDoc : public QObject
{
  Q_OBJECT

  public:
    OpenMosixmigmonDoc();
    ~OpenMosixmigmonDoc();
    void newDoc();
    bool save();
    bool saveAs(const QString &filename);
    bool load(const QString &filename);
    bool isModified() const;

  signals:
    void documentChanged();

  protected:
    bool modified;
};

#endif
